[问题]“dpkg --configure -a”

为当前最终发行版之前的所有版本提供支持
回复
Rocky_sjk
帖子: 6
注册时间: 2007-10-21 3:29
送出感谢: 0
接收感谢: 0
联系:

[问题]“dpkg --configure -a”

#1

帖子 Rocky_sjk » 2007-10-21 3:43

先说明一下,一开始装东西正常的:装到这个rocky@rOmAntIc:~$ sudo apt-get install flashplugin-nonfree;然后因为都连接失败,我就直接关了终端;去把那个flashplugin-nonfree的安装包下载回来,直接安装了,正常;然后再打开终端来安装其它东西时就会E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. 如下图;还有那些软件管理器都不能用了,那些安装包也不能安装了。

rocky@rOmAntIc:~$ sudo apt-get install gftp
[sudo] password for rocky:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
rocky@rOmAntIc:~$
rocky@rOmAntIc:~$ sudo dpkg --configure -a
正在设置 flashplugin-nonfree (9.0.48.0.2+really0ubuntu12) ...
Downloading...
--11:17:00-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
=> `./install_flash_player_9_linux.tar.gz'
正在解析主机 fpdownload.macromedia.com... 60.254.178.70
正在连接 fpdownload.macromedia.com|60.254.178.70|:80... 失败:Connection timed out。
重试中。

--11:20:11-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 2) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|60.254.178.70|:80... 失败:Connection timed out。
重试中。

--11:23:22-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 3) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|60.254.178.70|:80... 失败:Connection timed out。
重试中。

--11:26:34-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 4) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|60.254.178.70|:80... 失败:Connection timed out。
重试中。

--11:29:47-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 5) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|60.254.178.70|:80...
bubill
帖子: 35
注册时间: 2007-08-16 10:34
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 bubill » 2007-10-21 10:58

sudo dpkg --configure -a
Rocky_sjk
帖子: 6
注册时间: 2007-10-21 3:29
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 Rocky_sjk » 2007-10-21 11:29

我都知这样了,但可不可以结束它啊,不让它于装了啊,因为它连接会失败,还有我已经下载回来装了它
头像
冲浪板
论坛版主
帖子: 7467
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#4

帖子 冲浪板 » 2007-10-21 12:30

这个我也见过,盘满了 装不下才...
Rocky_sjk
帖子: 6
注册时间: 2007-10-21 3:29
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 Rocky_sjk » 2007-10-21 15:28

盘没满啊,这个问题很难吗,怎么没人解决的啊,简单的话,就教一下嘛,先谢谢大家 了
高手来解决了。
Rocky_sjk
帖子: 6
注册时间: 2007-10-21 3:29
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 Rocky_sjk » 2007-10-21 21:53

这都没有人会吗,不会吧
这都没人理一下,不会吧
这有那么难解决,不会吧
Rocky_sjk
帖子: 6
注册时间: 2007-10-21 3:29
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 Rocky_sjk » 2007-10-21 21:57

这都没有人会吗,不会吧
这都没人理一下,不会吧
这有那么难解决,不会吧

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
头像
peakgg
帖子: 1122
注册时间: 2006-10-10 9:40
送出感谢: 1 次
接收感谢: 0
联系:

#8

帖子 peakgg » 2007-10-27 15:48

刚搜到的

代码: 全选

sudo dpkg -r flashplugin-nonfree
lb_bn
帖子: 1261
注册时间: 2007-02-25 16:56
送出感谢: 0
接收感谢: 0

#9

帖子 lb_bn » 2007-10-27 16:02

不要sudo dpkg --configure -a
用sudo dpkg --configure dpkg就行了。。。
然后
sudo apt-get remove 没装好的软件
zenghaiaaa
帖子: 16
注册时间: 2007-11-09 21:03
来自: Shenzhen
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 zenghaiaaa » 2007-11-13 19:01

我遇到了
我是
sudo dpkg --configure -a
然后再用新立得删除flashplugin
回复

回到 “老旧版本支持”